# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.930.107.15 -> 1.930.107.16
#	fs/hugetlbfs/inode.c	1.3     -> 1.4    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/06/19	marcel@holtmann.org	1.930.126.59
# [Bluetooth] Quirk for devices with no ISOC endpoints
# 
# This patch checks the existence of ISOC endpoints before it
# starts the URB for them.
# --------------------------------------------
# 03/06/19	devik@cdi.cz	1.930.108.34
# [NET]: Fix jiffies races in net/sched/sch_htb.c
# --------------------------------------------
# 03/06/19	bjorn_helgaas@hp.com	1.930.107.16
# HUGETLBFS: Include slab.h for kmalloc proto.
# --------------------------------------------
#
diff -Nru a/fs/hugetlbfs/inode.c b/fs/hugetlbfs/inode.c
--- a/fs/hugetlbfs/inode.c	Wed Oct  8 09:06:59 2003
+++ b/fs/hugetlbfs/inode.c	Wed Oct  8 09:06:59 2003
@@ -19,6 +19,7 @@
 #include <linux/string.h>
 #include <linux/hugetlb.h>
 #include <linux/quotaops.h>
+#include <linux/slab.h>
 #include <linux/dnotify.h>
 
 #include <asm/uaccess.h>
